Page MenuHomeFreeBSD

Remove UNIQUENAME.
ClosedPublic

Authored by mat on Aug 7 2015, 9:26 PM.

Details

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

mat retitled this revision from to Remove UNIQUENAME..Aug 7 2015, 9:26 PM
mat updated this object.
mat edited the test plan for this revision. (Show Details)
mat updated this revision to Diff 7769.
bapt added a subscriber: bapt.Aug 7 2015, 10:28 PM

Please add a UNIQUENAME check in bsd.sanity.mk !

mat edited edge metadata.Aug 8 2015, 9:22 AM
mat updated this revision to Diff 7773.
  • Remove NO_LATEST_LINK, it's a no-op.
  • Use PKGBASE instead of LATEST_LINK in PKGLATESTFILE, the *only* consumer
  • Remove obsolete documentation.
  • Remove LATEST_LINK.
  • Add UNIQUENAME and LATEST_LINK to the sanity checks.
  • Fix logic.
  • Remove UNIQUENAME.
mat edited edge metadata.Aug 8 2015, 9:24 AM
mat edited projects, added portmgr; removed pkg.
mat removed reviewers: bapt, bdrewery.

Maybe remove OPTIONSFILE code from Mk/bsd.port.mk and Makefiles too?

mat updated this revision to Diff 7776.Aug 8 2015, 10:29 AM
  • Now that UNIQUENAME is gone, OPTIONSFILE is too.
mat edited edge metadata.Aug 9 2015, 12:27 PM
mat updated this revision to Diff 7801.

Rebase.

mat edited edge metadata.Aug 11 2015, 10:53 AM
mat updated this revision to Diff 7861.
  • Add a note about UNIQUENAME and LATEST_LINK removal.
bapt edited edge metadata.Aug 11 2015, 12:46 PM
bapt accepted this revision.

LGTM

needs an exp-run :-)

mat added a comment.Aug 11 2015, 1:34 PM

needs an exp-run :-)

I think I'm through with the patch, feel free to run one :-)

There are 1 new failure and 2 new QA errors:

+ {"origin"=>"devel/php-memoize", "pkgname"=>"php-memoize-0.2.0b1_2", "phase"=>"fetch", "errortype"=>"distinfo_update"}
+ {"origin"=>"emulators/i386-wine-devel", "pkgname"=>"i386-wine-devel-1.7.48,1", "phase"=>"check-plist", "errortype"=>"PLIST"}
+ {"origin"=>"emulators/i386-wine-staging", "pkgname"=>"i386-wine-staging-1.7.48,1", "phase"=>"check-plist", "errortype"=>"PLIST"}

Error logs:

http://package22.nyi.freebsd.org/data/93i386-default-D3336/2015-08-13_09h42m29s/logs/errors/php-memoize-0.2.0b1_2.log
http://pb2.nyi.freebsd.org/data/101amd64-default-D3336QAT/2015-08-13_09h43m35s/logs/errors/i386-wine-staging-1.7.48,1.log
http://pb2.nyi.freebsd.org/data/101amd64-default-D3336QAT/2015-08-13_09h43m35s/logs/errors/i386-wine-devel-1.7.48,1.log

mat added a comment.Aug 17 2015, 9:39 AM

There are 1 new failure and 2 new QA errors:
+ {"origin"=>"devel/php-memoize", "pkgname"=>"php-memoize-0.2.0b1_2", "phase"=>"fetch", "errortype"=>"distinfo_update"}
+ {"origin"=>"emulators/i386-wine-devel", "pkgname"=>"i386-wine-devel-1.7.48,1", "phase"=>"check-plist", "errortype"=>"PLIST"}
+ {"origin"=>"emulators/i386-wine-staging", "pkgname"=>"i386-wine-staging-1.7.48,1", "phase"=>"check-plist", "errortype"=>"PLIST"}
Error logs:
http://package22.nyi.freebsd.org/data/93i386-default-D3336/2015-08-13_09h42m29s/logs/errors/php-memoize-0.2.0b1_2.log
http://pb2.nyi.freebsd.org/data/101amd64-default-D3336QAT/2015-08-13_09h43m35s/logs/errors/i386-wine-staging-1.7.48,1.log
http://pb2.nyi.freebsd.org/data/101amd64-default-D3336QAT/2015-08-13_09h43m35s/logs/errors/i386-wine-devel-1.7.48,1.log

Ok, fixed all those.

mat edited edge metadata.Aug 17 2015, 9:40 AM
mat updated this revision to Diff 8002.
  • fix php-memoize sillyness.
  • Fix i386-wine-{devel,staging}
mat edited edge metadata.Aug 17 2015, 9:59 AM
mat updated this revision to Diff 8003.
  • Add warnings about options set with UNIQUENAME.
mat edited edge metadata.Aug 17 2015, 10:09 AM
mat updated this revision to Diff 8004.
  • Add a bit in UPDATING too.
This revision was automatically updated to reflect the committed changes.